import express, { Request, Response } from 'express';
import { prisma, __path } from '../../index.js';

function get(req: Request, res: Response) {
	prisma.item
		.findMany({
			orderBy: {
				updatedAt: 'desc'
			},
			// Limit to 10 items
			take: 10
		})
		.then((items) => {
			// Count amount of total items
			prisma.item.count().then((count) => {
				res.render(__path + '/src/frontend/dashboard.eta.html', { recents: items, stats: { total: count } });
			});
		})
		.catch((err) => {
			console.error(err);
			res.status(500).render(__path + '/src/frontend/errors/dbError.eta.html', { error: err });
		});
}

export default { get };
